Skip to main content
GET
/
pwa
/
v3
/
projects
/
:project_slug
/
environments
/
:environment_slug
/
password_strength_config
Get
curl --request GET \
  --url https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/password_strength_config \
  --header 'Authorization: Basic <encoded-value>'
{
  "request_id": "<string>",
  "password_strength_config": {
    "check_breach_on_creation": true,
    "check_breach_on_authentication": true,
    "validate_on_authentication": true,
    "validation_policy": "ZXCVBN",
    "luds_min_password_length": 123,
    "luds_min_password_complexity": 123
  },
  "status_code": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

project_slug
string
required
environment_slug
string
required

Response

Successful response

Response type

request_id
string
required
password_strength_config
object
required
status_code
integer<int32>
required